API referenceContacts
Upsert contact
PUT
bearerAuthheader
AuthorizationBearer <API key>Project API key (cr_sk_...)
external_user_id*stringapplication/json- body
name?stringlocale?stringContact Property locale
timezone?stringContact Property timezone (IANA)
language?stringContact Property language
country?stringContact Property country
metadata?attributes?Customer-supplied Attributes (not SDK Properties); omitted keys are left unchanged
Upserted
application/json- response
contact_id?stringFormat
uuidexternal_user_id?stringupdated_attributes?array<string>Present when attributes were included in the request
curl -X PUT 'https://api.comraid.io/contacts/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "external_user_id": "string", "updated_attributes": [ "string" ]}